Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
khimacho114

Vẽ Nhiều Mũi Tên Chung Gốc

Các bài được khuyến nghị

Lisp của bạn đây. Gõ lệnh "Lee" nhé.

 

(defun c:lee ()
(command "undo" "mark")
(setq a (getpoint "Chon diem Cuoi Leader\n"))
(setq b (getpoint a "Chon diem Dau ve Leader\n"))
(command "Leader" b a "" "" "n")
(while 
(Setq c (getpoint a "\nChon diem tiep theo?"))
(command "leader" c a "" "" "n")
)
(command "undo" "end")
(princ))
 
 
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Lisp của bạn đây. Gõ lệnh "Lee" nhé.

 

(defun c:lee ()
(command "undo" "mark")
(setq a (getpoint "Chon diem Cuoi Leader\n"))
(setq b (getpoint a "Chon diem Dau ve Leader\n"))
(command "Leader" b a "" "" "n")
(while 
(Setq c (getpoint a "\nChon diem tiep theo?"))
(command "leader" c a "" "" "n")
)
(command "undo" "end")
(princ))

 

cảm ơn bạn nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

tiện cho mình hoi có cách nào làm ngược quá trình ma  không vậy, tức là mình chọn đối tượng cần ma trước rồi mới chọn đối tượng có thuộc tính muốn chuyển

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

tiện cho mình hoi có cách nào làm ngược quá trình ma  không vậy, tức là mình chọn đối tượng cần ma trước rồi mới chọn đối tượng có thuộc tính muốn chuyển

 

Dùng mẹo 1 chút là được. Sử dụng tham số "P" để chọn lại đối tượng cần chọn.  :)  :)  :)

 

B1: Chọn các đối tượng cần "MA", chọn xong rồi nhấn phím ESC.

B2. Gõ lệnh "MA". chọn đối tượng có thuộc tính. Nhấp phím "P" để chọn lại các đối tượng cần chuyển.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

tiện cho mình hoi có cách nào làm ngược quá trình ma  không vậy, tức là mình chọn đối tượng cần ma trước rồi mới chọn đối tượng có thuộc tính muốn chuyển

Ko thì sử dụng đoạn mã  lisp sau. Lệnh "MAA" , bạn có thể thay đổi theo ý mình tên lệnh.

 

(defun c:maa ()
(setvar "cmdecho" 0)
 
 
  (setq a (ssget))
  (setq b (ssget))
  (command ".matchprop" b a "")
  (princ)
  )
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Ko thì sử dụng đoạn mã  lisp sau. Lệnh "MAA" , bạn có thể thay đổi theo ý mình tên lệnh.

 

(defun c:maa ()
(setvar "cmdecho" 0)
 
 
  (setq a (ssget))
  (setq b (ssget))
  (command ".matchprop" b a "")
 
  (princ)
  )
thank, có mấy lisp của bạn làm việc được nhanh hơn nhiều. Chắc cũng phải tìm hiểu thêm về lập trình lisp mà dùng khi cần trong công việc thôi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Lisp của bạn đây. Gõ lệnh "Lee" nhé.

 

(defun c:lee ()
(command "undo" "mark")
(setq a (getpoint "Chon diem Cuoi Leader\n"))
(setq b (getpoint a "Chon diem Dau ve Leader\n"))
(command "Leader" b a "" "" "n")
(while 
(Setq c (getpoint a "\nChon diem tiep theo?"))
(command "leader" c a "" "" "n")
)
(command "undo" "end")
(princ))

 

giúp mình cái sao lúc dùng lisp này, một số bản vẽ nếu mình cắt thép bằng lệnh extrim thì toàn bộ mũi tên chỉ vào thép bị cắt bị lệch hết

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

giúp mình cái sao lúc dùng lisp này, một số bản vẽ nếu mình cắt thép bằng lệnh extrim thì toàn bộ mũi tên chỉ vào thép bị cắt bị lệch hết

 

Bạn đưa bản vẽ hoặc hình ảnh bạn bị lỗi lên giúp mình. Chứ đi xem bói thì ko ra bệnh được đâu. :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn đưa bản vẽ hoặc hình ảnh bạn bị lỗi lên giúp mình. Chứ đi xem bói thì ko ra bệnh được đâu. :)

nó bị lỗi như vậy, chỉ những mũi tên chỉ vào thép sau khi extrim mới bị nhảy thôi còn cái nào có thép ko bị extrim thì vẫn bình thường

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hình như nhu cầu của chủ thớt là đánh số hiệu thép, nếu vậy sao không dùng MLEADER nhỉ?

=>

bản vẽ của họ dùng sẵn loại mũi tên le bình thường chứ ko phải loại mld, mà mình ko được thay đổi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Do lỗi bắt điểm trong cad nhé.

Muốn khắc phục, bạn chỉ cần vào OSNAP, bật chế độ bắt điểm "NEAREST" lên là ổn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Do lỗi bắt điểm trong cad nhé.

Muốn khắc phục, bạn chỉ cần vào OSNAP, bật chế độ bắt điểm "NEAREST" lên là ổn.

mình có bật chế bắt điểm "NEAREST" trước khi vẽ rồi , lúc đầu mình vẽ các mũi tên chỉ thếp thẳng hàng theo phương ngang, nhưng sau khi dùng extrim cắt thép nó mới bị nhảy như vậy. Nó hơi giống lối bị nhảy dim khi dung lisp cắt, dóng dim. nếu mình vẽ xong chọn toàn bộ mũi tên vừa vẽ xong nhập lệnh DDA rồi mới dùng extrim để cắt thì không còn bị nhảy mũi tên nữa

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mình có bật chế bắt điểm "NEAREST" trước khi vẽ rồi , lúc đầu mình vẽ các mũi tên chỉ thếp thẳng hàng theo phương ngang, nhưng sau khi dùng extrim cắt thép nó mới bị nhảy như vậy. Nó hơi giống lối bị nhảy dim khi dung lisp cắt, dóng dim. nếu mình vẽ xong chọn toàn bộ mũi tên vừa vẽ xong nhập lệnh DDA rồi mới dùng extrim để cắt thì không còn bị nhảy mũi tên nữa

 

:D  :D  :D  Bác có tìm hiểu được lệnh "DDA" rồi , thế mà ko tìm sâu hơn ít nữa lệnh "DIMASSOC" nữa có phải tốt ko . 

 

B1      : Gõ "DIMASSOC", nhập giá trị 1.

B2:     : Ctrl+A để chọn toàn bộ bản vẽ. Gõ "DDA" để khắc phục lỗi.

 

----> Giờ bác thử " Tờ rim" các kiểu lại xem , Cad  ta chạy rầm rầm.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D  :D  :D  Bác có tìm hiểu được lệnh "DDA" rồi , thế mà ko tìm sâu hơn ít nữa lệnh "DIMASSOC" nữa có phải tốt ko . 

 

B1      : Gõ "DIMASSOC", nhập giá trị 1.

B2:     : Ctrl+A để chọn toàn bộ bản vẽ. Gõ "DDA" để khắc phục lỗi.

 

----> Giờ bác thử " Tờ rim" các kiểu lại xem , Cad  ta chạy rầm rầm.

ok cảm ơn bạn nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×